Bug 738604 - [abrt] gstreamer-plugins-base-0.10.35-1.fc16: degas_type_find: data = 0x0 (SIGSEGV)
Summary: [abrt] gstreamer-plugins-base-0.10.35-1.fc16: degas_type_find: data = 0x0 (SI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-base
Version: 16
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:777072d542be0c436b9e747491d...
: 708578 715230 744201 744642 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 10:48 UTC by Tim Waugh
Modified: 2012-03-11 17:00 UTC (History)
12 users (show)

Fixed In Version: gstreamer-plugins-bad-free-0.10.23-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-11 17:00:09 UTC


Attachments (Terms of Use)
File: backtrace (56.03 KB, text/plain)
2011-09-15 10:48 UTC, Tim Waugh
no flags Details
File: maps (33.23 KB, text/plain)
2011-09-15 10:48 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2011-09-15 10:48:23 UTC
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
comment:        Happened on first indexing.
crash_function: degas_type_find
executable:     /usr/libexec/tracker-extract
kernel:         3.1.0-0.rc6.git0.0.fc16.x86_64
reason:         Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
time:           Thu Sep 15 11:44:25 2011
uid:            500
username:       twaugh

backtrace:      Text file, 57373 bytes
maps:           Text file, 34023 bytes

build_ids:
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:db91fd8ad0a21e25ee99fdba1a858ac65403e2d3
:d98effe16005167bb9e025c7a945702c35e4f1dc
:934bb835b5075f81fdfb713b49281ce9aaf49f59
:8766b181f3278d39d876c0376ba5ca7573b84304
:1524a82ea07f5e1675976cc319ce0b9bf3aaa7ec
:1faa4e1b0ae67bd30ee556f4f196d3849982ed68
:98fa95d21e16075ada6df19748c6c133ee9165d0
:49b317bbb2da7be48ba3b947e23703ba6397dbf4
:fd8c96174deb54c7546b1ee4eb8ece483c8829f7
:38cae7e1ad3ffe4c59386cb363a1560465ae28aa
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:000b03e3c4324ec2315fb286a382f91d95436d5c
:c6739204320eb15bdcdba039a2b183298170403e
:3e113d18232e9368a3d33d061ee14e221202b1cc
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:cfa22181b1fef9573da3671df63029c531dc8e1b
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:96d618421416810fa0d3e21ea427d5b1e63ad6f2
:9217edd123da83077292e50aebe0bb80eaf55e7f
:2b9f922b148d00dba2809849e22f96758963bc24
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:b06c064de933351790864300dddec868b2a6401e
:bf47391e5e43fcedd375f6d5a8bcfb3e399e90e9
:e98a4ecd75128a0ec734ef14699d2b02d5d63f6d
:8b8a531fadf56c439f7abdad88579c368846b998
:907b8eeb50acf3b40ddcfc18faaa3ede3c4aff7e
:baa8b6700debb4a3b6fa10e629b5eccdf234a1fd
:19331eb3d0813ed58ffbaae98c80d0e1678a49e6
:7109859fdd4912a7b36eea239079fd72b5575d18
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:3afcef19b83b4d703cf89db41982aabaa2d1618b
:dfc1b11c1ced5c134adca2b29874a41f39f0eeaf
:4953d1f613914126bccceb3cb96386647ffba9df
:4d14b8e1dfeb26f05eb75e67f4184f72a6774257
:b77200bf76fd8c69a30220dd6709b244b215e829
:ad47948572d0e722eada047fafe507adc33cc10d
:32782beda9a5c7f6deece0b29217fd5b1b88c8c6
:48aea888319e1848137073c9cbde54a4c2a731c9
:4684662811a800eb597f106b8614902c24974668
:83fd1ef1b856a64c7772aa364b1b1f59c046f538
:1f1f426ff06629088badaeb1bdca35665280c051
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:db0921d37dbfcfc6115a7a4aeb0c6928c08abd1c
:9c23cc77b5763600b189289e892983ebb6c172c8
:51d12f84a05395827b0ca5eacba3836455450042
:0e6282316ef2785af671bcdb223c7c4c5c086dc8
:fced0590b1aa308509df438f245ec840387ac9e3
:b967cd759e60040c1e0c6457e5a388ed4bbf769f
:4059ed6a9c9da3843513bf2fdd4a3ee167a808a1
:75de926125d4a793acbf863362e13437df3ec276
:9b7b6a0715df308cfcee8133ca41bc0e8e67a6cf
:ce17aa2d5ae45fcebfea1836a88c14da70b831ed
:ef25f71a40ad1a00ed1040a09ace53d1bb40f2ab
:365edf015d6a6705b3c8585e7afca7546483c679
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:272c7387b08b8a01285474b206e2cec985362d41
:41386e09ced0c1a3d433e701424772cc685d0439
:bf3f9f4e254e40989541b175de9fda4e0dc9dbd1
:452ccc4d7d0af0c2dc2851ca71230052281d6595
:32eeba9032ecead38442bdf6328d89464a151a7e
:6d72191d5fb3bf4d12cb83859e0e6261d865ee46
:1c705b733bb262e6e2d3e2e94d16c0ee681670c8
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:022da052975093368daac7c4e8e95101bfc78495
:616cdfde72c06f8e55b7ac23849c334e7d767bdb
:99745aea093d045c4540ad54749678081eb09af8
:3e08f14ed2767ff642c7477a25b63214050e42cb
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:5df361c26dcd06bc301db9bf05251f4f743f8a51
:f9b1e71fe8bc05bee3038044d23520ab8d74a330
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:b5d1aea5b0c4ee7d71ddd0574e7e7f5579c450aa
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:3264d69da5aa6d2246f1ad3e22de8b1df9ba64db
:66c552215486ca09ea811d0d13475a91ba2b05b0
:be507c791e34415e8f42f0e6030c889b2895cf9a

dso_list:
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1316009473
:/lib64/libm-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.x86_64 (Fedora Project) 1316009471
:/usr/lib64/libgstaudio-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1316009470
:/usr/lib64/libgsf-1.so.114.0.21 libgsf-1.14.21-1.fc16.x86_64 (Fedora Project) 1316016028
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1316009473
:/usr/lib64/libgstvideo-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1316009497
:/lib64/libresolv-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1316015881
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1316009492
:/usr/lib64/gstreamer-0.10/libgstogg.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1316009492
:/usr/lib64/libenca.so.0.5.1 enca-1.13-2.fc15.x86_64 (Fedora Project) 1316010017
:/usr/lib64/tracker-0.12/libtracker-data.so.0.1200.0 tracker-0.12.0-1.fc16.x86_64 (Fedora Project) 1316016030
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1316009967
:/usr/lib64/libgstbase-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1316009650
:/lib64/libgio-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1316009480
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/usr/lib64/libgstriff-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/lib64/libpthread-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1316009491
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1316009497
:/usr/lib64/gstreamer-0.10/libgstvorbis.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1316009511
:/usr/lib64/gstreamer-0.10/libgsttheora.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1316009464
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1316009967
:/usr/lib64/gstreamer-0.10/libgsttypefindfunctions.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/usr/lib64/libtracker-sparql-0.12.so.0.1200.0 tracker-0.12.0-1.fc16.x86_64 (Fedora Project) 1316016030
:/usr/lib64/libunistring.so.0.1.2 libunistring-0.9.3-2.fc15.x86_64 (Fedora Project) 1316009606
:/usr/lib64/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1316009650
:/usr/libexec/tracker-extract tracker-0.12.0-1.fc16.x86_64 (Fedora Project) 1316016030
:/usr/lib64/libnm-glib.so.4.2.0 NetworkManager-glib-1:0.9.0-2.fc16.x86_64 (Fedora Project) 1316015869
:/usr/lib64/libexif.so.12.3.2 libexif-0.6.20-1.fc16.x86_64 (Fedora Project) 1316009501
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1316009466
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-173-3.fc16.x86_64 (Fedora Project) 1316009487
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.9.0-1.fc16.x86_64 (Fedora Project) 1316010255
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1316009464
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.9.5-1.fc16.x86_64 (Fedora Project) 1316010610
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.9.5-1.fc16.x86_64 (Fedora Project) 1316010610
:/usr/lib64/libgstinterfaces-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1316009468
:/lib64/libdl-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/lib64/libuuid.so.1.3.0 libuuid-2.20-1.fc16.x86_64 (Fedora Project) 1316009474
:/usr/lib64/libtracker-miner-0.12.so.0.1200.0 tracker-0.12.0-1.fc16.x86_64 (Fedora Project) 1316016030
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1316009468
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1316009465
:/lib64/libgobject-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1316009480
:/lib64/libc-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.9.5-1.fc16.x86_64 (Fedora Project) 1316010610
:/lib64/librt-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/lib64/libgcc_s-4.6.1-20110908.so.1 libgcc-4.6.1-9.fc16.x86_64 (Fedora Project) 1316015851
:/usr/lib64/libtheoradec.so.1.1.4 libtheora-1:1.1.1-1.fc15.x86_64 (Fedora Project) 1316009583
:/usr/lib64/gstreamer-0.10/libgstcoreelements.so gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1316009650
:/usr/lib64/tracker-0.12/extract-modules/libextract-gstreamer.so tracker-0.12.0-1.fc16.x86_64 (Fedora Project) 1316016030
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1316009567
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1316009468
:/usr/lib64/tracker-0.12/libtracker-common.so.0.1200.0 tracker-0.12.0-1.fc16.x86_64 (Fedora Project) 1316016030
:/lib64/ld-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/usr/lib64/libgstpbutils-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.1-9.fc16.x86_64 (Fedora Project) 1316015858
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1316009490
:/usr/lib64/libexempi.so.3.2.1 exempi-2.1.1-2.fc15.x86_64 (Fedora Project) 1316009601
:/usr/lib/locale/locale-archive glibc-common-2.14.90-8.x86_64 (Fedora Project) 1316009444
:/usr/lib64/gstreamer-0.10/libgstdecodebin2.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071
:/lib64/libglib-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1316009480
:/usr/lib64/libtracker-extract-0.12.so.0.1200.0 tracker-0.12.0-1.fc16.x86_64 (Fedora Project) 1316016030
:/lib64/libgmodule-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1316009480
:/lib64/libutil-2.14.90.so glibc-2.14.90-8.x86_64 (Fedora Project) 1316009452
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1316009967
:/usr/lib64/libnm-util.so.2.0.0 NetworkManager-glib-1:0.9.0-2.fc16.x86_64 (Fedora Project) 1316015869
:/usr/lib64/libtheoraenc.so.1.1.2 libtheora-1:1.1.1-1.fc15.x86_64 (Fedora Project) 1316009583
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.1.90-1.fc16.x86_64 (Fedora Project) 1316009491
:/lib64/libselinux.so.1 libselinux-2.1.5-4.fc16.x86_64 (Fedora Project) 1316015857
:/usr/lib64/libiptcdata.so.0.3.3 libiptcdata-1.0.4-4.fc15.x86_64 (Fedora Project) 1316016023
:/lib64/libgthread-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.x86_64 (Fedora Project) 1316009480
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1316009490
:/usr/lib64/libgsttag-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1316010071

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-2lVZi1ZicG,guid=c9c2c7754e4ef91568dac6f8000005f0
:XDG_SESSION_COOKIE=31ae8ad8b5afe6f0fc28820c00000025-1316083431.382902-1647561369
:XDG_RUNTIME_DIR=/run/user/twaugh
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-lQwh1r/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/8294,unix/unix:/tmp/.ICE-unix/8294
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=2
:USERNAME=twaugh
:XDG_SESSION_ID=30
:GPG_AGENT_INFO=/tmp/keyring-lQwh1r/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2lVZi1ZicG,guid=c9c2c7754e4ef91568dac6f8000005f0
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-twaugh-tggcYz/database
:USER=twaugh
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=8290
:SHLVL=1
:GDM_LANG=en_US.UTF-8
:PWD=/home/twaugh
:GNOME_KEYRING_CONTROL=/tmp/keyring-lQwh1r
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=twaugh
:HOME=/home/twaugh

smolt_data:
:
:
:General
:=================================
:UUID: d739a00c-5fc1-46e5-98f1-d7cdcf952782
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6782.70
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D CPU 3.40GHz
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3400
:System Memory: 2003
:System Swap: 3999
:Vendor: Dell Inc.
:System: Precision WorkStation 380 
:Form factor: Tower
:Kernel: 3.1.0-0.rc6.git0.0.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10186:4136:424) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(5348:5751:4136:424) pci, tg3, ETHERNET, Precision 380
:(4545:22545:4136:32784) pci, firewire_ohci, FIREWIRE, FW322/323
:(32902:10202:4136:424) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:10177:4136:424) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:0:0) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10208:0:0) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5
:(32902:10210:0:0) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6
:(32902:10207:4136:424) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(4098:23412:4098:259) pci, None, VIDEO, RV370 5B64 [FireGL V3100 (PCIE)] (Secondary)
:(6164:770:4486:15369) pci, rt61pci, NETWORK, AirPlus G DWL-G510 Wireless Network Adapter (Rev.C)
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4098:23396:4098:258) pci, radeon, VIDEO, RV370 5B64 [FireGL V3100 (PCIE)]
:(32902:10185:4136:424) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4136:424) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10100:4136:424) pci, None, HOST/PCI, 82955X Memory Controller Hub
:(32902:10200:4136:424) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10187:4136:424) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4136:424) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10101:32902:0) pci, pcieport, PCI/PCI, 82955X PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_worm02-LogVol00 / ext4 4096 4096 3015660 1997486 1844296 767040 626105 626105
:/dev/sda1 /boot ext3 1024 1024 198337 121927 111687 51200 51101 51101
:/dev/mapper/luks-cd4fe06b-cad2-4a42-8925-9d309ca30c62 WITHHELD ext3 4096 4096 120179635 24444348 18339555 30531584 15297792 15297792
:/dev/mapper/luks-cd4fe06b-cad2-4a42-8925-9d309ca30c62 WITHHELD ext3 4096 4096 120179635 24444348 18339555 30531584 15297792 15297792
:/dev/mapper/luks-cd4fe06b-cad2-4a42-8925-9d309ca30c62 WITHHELD ext3 4096 4096 120179635 24444348 18339555 30531584 15297792 15297792
:/dev/mapper/vg_worm00-LogVol00 /home ext4 4096 4096 11488359 2475313 1891736 2918832 2499793 2499793
:

var_log_messages:
:Sep 15 11:44:25 worm kernel: [ 1554.703546] tracker-extract[8793]: segfault at 0 ip 00007fc0a7bb08af sp 00007fff4152eaf0 error 4 in libgsttypefindfunctions.so[7fc0a7bab000+12000]
:Sep 15 11:44:26 worm abrt[8843]: saved core dump of pid 8793 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2011-09-15-11:44:25-8793.new/coredump (183017472 bytes)

Comment 1 Tim Waugh 2011-09-15 10:48:28 UTC
Created attachment 523342 [details]
File: backtrace

Comment 2 Tim Waugh 2011-09-15 10:48:30 UTC
Created attachment 523343 [details]
File: maps

Comment 3 Deji Akingunola 2011-09-15 18:30:40 UTC
This seems to be a bug in gstreamer. Can you please attached the file causing the crash (it's in lines 770 & 774 of the attached backtrace)?

Comment 4 Tim Waugh 2011-09-16 14:38:41 UTC
Unfortunately I don't think I can make this file public.  What do I need to do to diagnose this locally?

Comment 5 Thomas Spura 2011-10-10 12:13:43 UTC
*** Bug 744642 has been marked as a duplicate of this bug. ***

Comment 6 Thomas Spura 2011-10-10 12:14:51 UTC
*** Bug 708578 has been marked as a duplicate of this bug. ***

Comment 7 Thomas Spura 2011-10-10 12:15:59 UTC
*** Bug 715230 has been marked as a duplicate of this bug. ***

Comment 8 Thomas Spura 2011-10-10 12:16:59 UTC
*** Bug 744201 has been marked as a duplicate of this bug. ***

Comment 9 Thomas Spura 2011-10-10 12:38:56 UTC
The crashing function is in gstreamer-plugins-base,
from ./gst/typefind/gsttypefindfunctions.c:
4022   len = gst_type_find_get_length (tf);
4023   if (len < 34)                 /* smallest header of the lot */
4024     return;
4025   data = gst_type_find_peek (tf, 0, 4);
4026   resolution = GST_READ_UINT16_BE (data);

and the crash happend in 4026, where GST_READ_UINT16_BE *READS* from a NULL pointer, so there needs to be something like:
  if (len < 34)                 /* smallest header of the lot */
    return;
+ if (!data)
+   return;
  resolution = GST_READ_UINT16_BE (data);
(if that makes sense in gst, just a logical solution by \me)

Comment 10 Thomas Spura 2011-10-10 12:41:19 UTC
(In reply to comment #4)
> Unfortunately I don't think I can make this file public.  What do I need to do
> to diagnose this locally?

I don't think, it's necessary, it's an obvious 0x0 pointer bug.

Comment 11 Dario Faggioli 2011-10-20 09:36:47 UTC
Package: tracker-0.12.4-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
No idea, this just keeps showing up!

Comment 12 Nathan Smith 2011-11-04 19:46:01 UTC
Package: tracker-0.12.4-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Open nautilus file manager.

Comment 13 Robert Kief 2011-11-09 19:24:17 UTC
Package: tracker-0.12.4-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I was copying files from my external drive to my H/D and installing software with the Add/Remove Software wizard at the same time.

Comment 14 Miloslav Trmač 2011-11-11 12:38:28 UTC
Package: tracker-0.12.4-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
??????????

Comment 15 Fedora Update System 2012-03-01 00:32:17 UTC
gstreamer-plugins-bad-free-0.10.23-2.fc17,gstreamer-plugins-good-0.10.31-1.fc17,gstreamer-plugins-base-0.10.36-1.fc17,gstreamer-0.10.36-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gstreamer-plugins-bad-free-0.10.23-2.fc17,gstreamer-plugins-good-0.10.31-1.fc17,gstreamer-plugins-base-0.10.36-1.fc17,gstreamer-0.10.36-1.fc17

Comment 16 Fedora Update System 2012-03-02 00:59:57 UTC
Package gstreamer-plugins-bad-free-0.10.23-2.fc17, gstreamer-plugins-good-0.10.31-1.fc17, gstreamer-plugins-base-0.10.36-1.fc17, gstreamer-0.10.36-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer-plugins-bad-free-0.10.23-2.fc17 gstreamer-plugins-good-0.10.31-1.fc17 gstreamer-plugins-base-0.10.36-1.fc17 gstreamer-0.10.36-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2823/gstreamer-plugins-bad-free-0.10.23-2.fc17,gstreamer-plugins-good-0.10.31-1.fc17,gstreamer-plugins-base-0.10.36-1.fc17,gstreamer-0.10.36-1.fc17
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2012-03-05 20:56:51 UTC
Package gstreamer-plugins-bad-free-0.10.23-2.fc17, gstreamer-plugins-good-0.10.31-1.fc17, gstreamer-plugins-base-0.10.36-1.fc17, gstreamer-0.10.36-1.fc17, qt-mobility-1.2.0-10.20110922.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gstreamer-plugins-bad-free-0.10.23-2.fc17 gstreamer-plugins-good-0.10.31-1.fc17 gstreamer-plugins-base-0.10.36-1.fc17 gstreamer-0.10.36-1.fc17 qt-mobility-1.2.0-10.20110922.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2823/gstreamer-plugins-bad-free-0.10.23-2.fc17,gstreamer-plugins-good-0.10.31-1.fc17,gstreamer-plugins-base-0.10.36-1.fc17,gstreamer-0.10.36-1.fc17,qt-mobility-1.2.0-10.20110922.fc17
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2012-03-11 17:00:09 UTC
gstreamer-plugins-bad-free-0.10.23-2.fc17, gstreamer-plugins-good-0.10.31-1.fc17, gstreamer-plugins-base-0.10.36-1.fc17, gstreamer-0.10.36-1.fc17, qt-mobility-1.2.0-10.20110922.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.